> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TPRM Company by ID

> Retrieve a single monitored third-party company by its Leen ID.



## OpenAPI

````yaml get /tprm/companies/{company_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /tprm/companies/{company_id}:
    get:
      tags:
        - tprm
        - companies
      summary: Get TPRM Company by ID
      description: Retrieve a single monitored third-party company by its Leen ID.
      operationId: get_tprm_company_by_id
      parameters:
        - in: path
          name: company_id
          required: true
          schema:
            format: uuid
            title: Company Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TPRMCompanyKBRespModel'
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: TPRM Company not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    TPRMCompanyKBRespModel:
      properties:
        compliance_claimed:
          anyOf:
            - items:
                $ref: '#/components/schemas/ComplianceClaimedModel'
              type: array
            - type: 'null'
          description: The compliance claimed by the company
          title: Compliance Claimed
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was created
          title: Created At
        date_added:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was added
          title: Date Added
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: The domain of the company
          title: Domain
        id:
          description: Leen's UUID for the tprm company
          format: uuid
          title: Id
          type: string
        industry:
          anyOf:
            - type: string
            - type: 'null'
          description: The industry of the company
          title: Industry
        name:
          description: The name of the company
          title: Name
          type: string
        related_portfolios:
          description: The related portfolios of the company
          items:
            $ref: '#/components/schemas/RelatedPortfolioModel'
          title: Related Portfolios
          type: array
        score:
          anyOf:
            - $ref: '#/components/schemas/ScoreModel'
            - type: 'null'
          description: The score of the company
        size:
          anyOf:
            - type: string
            - type: 'null'
          description: The size of the company
          title: Size
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was updated
          title: Updated At
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKnowledgeBaseVendorAttributes'
            - type: 'null'
          description: The vendor attributes of the company
      required:
        - id
        - name
        - domain
        - score
        - industry
        - size
        - date_added
        - compliance_claimed
        - vendor_attributes
        - related_portfolios
        - updated_at
        - created_at
      title: TPRM Company
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ComplianceClaimedModel:
      properties:
        last_updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Updated At
        standard:
          title: Standard
          type: string
      required:
        - standard
      title: ComplianceClaimedModel
      type: object
    RelatedPortfolioModel:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
      title: RelatedPortfolioModel
      type: object
    ScoreModel:
      properties:
        factors:
          default: []
          items:
            $ref: '#/components/schemas/ScoreFactorModel'
          title: Factors
          type: array
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
      title: ScoreModel
      type: object
    TPRMCompanyKnowledgeBaseVendorAttributes:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor first created the company
          title: Created At
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteTPRMCompanyVendorData'
            - $ref: '#/components/schemas/SecurityScorecardTPRMCompanyVendorData'
            - $ref: '#/components/schemas/BitSightTPRMCompanyVendorData'
            - type: 'null'
          title: Data
        id:
          description: vendor-reported company ID
          title: Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor last updated the company
          title: Updated At
      required:
        - id
      title: TPRMCompanyKnowledgeBaseVendorAttributes
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ScoreFactorModel:
      properties:
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        name:
          title: Name
          type: string
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
      required:
        - name
      title: ScoreFactorModel
      type: object
    BlackKiteTPRMCompanyVendorData:
      properties:
        dashboard_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Link
        strategy_report_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Strategy Report Url
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
      title: BlackKiteTPRMCompanyVendorData
      type: object
    SecurityScorecardTPRMCompanyVendorData:
      properties:
        last_30_days_breach_count:
          title: Last 30 Days Breach Count
          type: number
        last_month_score_change:
          title: Last Month Score Change
          type: number
        lifecycle_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Lifecycle Status
        monitored:
          title: Monitored
          type: boolean
        tags:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tags
      required:
        - monitored
        - last_month_score_change
        - last_30_days_breach_count
      title: SecurityScorecardTPRMCompanyVendorData
      type: object
    BitSightTPRMCompanyVendorData:
      properties:
        display_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Url
      title: BitSightTPRMCompanyVendorData
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.